"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const shared_esmBundler = require("../../../../../@vue/shared/dist/shared.esm-bundler.js");
const vue = require("vue");
const isTriggerType = (trigger, type) => {
  if (shared_esmBundler.isArray(trigger)) return trigger.includes(type);
  return trigger === type;
};
const whenTrigger = (trigger, type, handler) => {
  return (e) => {
    isTriggerType(vue.unref(trigger), type) && handler(e);
  };
};
exports.isTriggerType = isTriggerType;
exports.whenTrigger = whenTrigger;
